> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update capacity

> Update a capacity



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /revenueOrganization/capacities/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /revenueOrganization/capacities/{uuid}:
    put:
      tags:
        - Revenue Organization - Capacities
      summary: Update capacity
      description: Update a capacity
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Capacity identifier.
          required: true
          description: Capacity identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  title: Name
                  description: Capacity name.
                color:
                  type: string
                  enum:
                    - orange
                    - red
                    - purple
                    - green
                    - yellow
                    - grey
                  title: Color
                  description: Capacity color.
                description:
                  title: Description
                  description: Capacity description.
                  anyOf:
                    - type: string
                    - type: 'null'
                memberCapacity:
                  title: Member capacity
                  description: Capacity per member.
                  anyOf:
                    - type: number
                    - type: 'null'
                allocationExpirationPolicy:
                  title: Allocation expiration policy
                  description: Allocation expiration schedule.
                  anyOf:
                    - anyOf:
                        - type: object
                          properties:
                            interval:
                              type: string
                              const: hourly
                              title: Interval
                              description: Expiration interval.
                            minute:
                              title: Minute
                              description: Minute of the hour.
                              type: number
                          required:
                            - interval
                        - type: object
                          properties:
                            interval:
                              type: string
                              const: daily
                              title: Interval
                              description: Expiration interval.
                            time:
                              title: Time
                              description: Time of day.
                              type: string
                          required:
                            - interval
                        - type: object
                          properties:
                            interval:
                              type: string
                              const: weekly
                              title: Interval
                              description: Expiration interval.
                            weekDay:
                              title: Week day
                              description: Day of the week.
                              type: number
                            time:
                              title: Time
                              description: Time of day.
                              type: string
                          required:
                            - interval
                        - type: object
                          properties:
                            interval:
                              type: string
                              const: monthly
                              title: Interval
                              description: Expiration interval.
                            day:
                              title: Day
                              description: Day of the month.
                              type: number
                            time:
                              title: Time
                              description: Time of day.
                              type: string
                          required:
                            - interval
                        - type: object
                          properties:
                            interval:
                              type: string
                              const: quarterly
                              title: Interval
                              description: Expiration interval.
                            month:
                              title: Month
                              description: Month of the quarter.
                              type: number
                            day:
                              title: Day
                              description: Day of the month.
                              type: number
                            time:
                              title: Time
                              description: Time of day.
                              type: string
                          required:
                            - interval
                        - type: object
                          properties:
                            interval:
                              type: string
                              const: yearly
                              title: Interval
                              description: Expiration interval.
                            month:
                              title: Month
                              description: Month of the year.
                              type: number
                            day:
                              title: Day
                              description: Day of the month.
                              type: number
                            time:
                              title: Time
                              description: Time of day.
                              type: string
                          required:
                            - interval
                    - type: 'null'
                modelUuid:
                  title: Model UUID
                  description: Model identifier for capacity mapping.
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    - type: 'null'
                idColumnSlug:
                  title: ID column slug
                  description: Identifier column slug.
                  anyOf:
                    - type: string
                    - type: 'null'
                timeColumnSlug:
                  title: Time column slug
                  description: Time column slug.
                  anyOf:
                    - type: string
                    - type: 'null'
                filter:
                  title: Filter
                  description: Filter criteria for capacity.
                  anyOf:
                    - type: object
                      properties:
                        conjonction:
                          type: string
                          enum:
                            - or
                            - and
                        groups:
                          type: array
                          items:
                            type: object
                            properties:
                              conjonction:
                                type: string
                                enum:
                                  - or
                                  - and
                              conditions:
                                type: array
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: sql
                                        name:
                                          type: string
                                        clause:
                                          type: string
                                      required:
                                        - kind
                                        - name
                                        - clause
                                    - allOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: string
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                          required:
                                            - kind
                                            - columnSlug
                                        - anyOf:
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - is
                                                    - isNot
                                                    - contains
                                                    - doesNotContain
                                                    - startsWith
                                                    - endsWith
                                                values: {}
                                              required:
                                                - operator
                                                - values
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isNull
                                                    - isNotNull
                                                    - isEmpty
                                                    - isNotEmpty
                                              required:
                                                - operator
                                    - allOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: number
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                          required:
                                            - kind
                                            - columnSlug
                                        - anyOf:
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - is
                                                    - isNot
                                                    - greaterThan
                                                    - lowerThan
                                                value: {}
                                              required:
                                                - operator
                                                - value
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: between
                                                firstValue: {}
                                                lastValue: {}
                                              required:
                                                - operator
                                                - firstValue
                                                - lastValue
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isNull
                                                    - isNotNull
                                              required:
                                                - operator
                                    - allOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: objectProperty
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                            propertyName:
                                              type: string
                                          required:
                                            - kind
                                            - columnSlug
                                            - propertyName
                                        - anyOf:
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - is
                                                    - isNot
                                                    - contains
                                                    - greaterThan
                                                    - lowerThan
                                                    - doesNotContain
                                                    - startsWith
                                                    - endsWith
                                                value: {}
                                              required:
                                                - operator
                                                - value
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isNull
                                                    - isNotNull
                                                    - isEmpty
                                                    - isNotEmpty
                                              required:
                                                - operator
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: between
                                                value: {}
                                                otherValue: {}
                                              required:
                                                - operator
                                                - value
                                                - otherValue
                                    - allOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: object
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                          required:
                                            - kind
                                            - columnSlug
                                        - anyOf:
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: isNull
                                              required:
                                                - operator
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: isNotNull
                                              required:
                                                - operator
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: matchConditions
                                                conjonction:
                                                  type: string
                                                  enum:
                                                    - or
                                                    - and
                                                propertyConditions:
                                                  type: array
                                                  items:
                                                    allOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: objectProperty
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          propertyName:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - propertyName
                                                      - anyOf:
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - is
                                                                  - isNot
                                                                  - contains
                                                                  - greaterThan
                                                                  - lowerThan
                                                                  - doesNotContain
                                                                  - startsWith
                                                                  - endsWith
                                                              value: {}
                                                            required:
                                                              - operator
                                                              - value
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - isNull
                                                                  - isNotNull
                                                                  - isEmpty
                                                                  - isNotEmpty
                                                            required:
                                                              - operator
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: between
                                                              value: {}
                                                              otherValue: {}
                                                            required:
                                                              - operator
                                                              - value
                                                              - otherValue
                                              required:
                                                - operator
                                                - conjonction
                                                - propertyConditions
                                    - allOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: array
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                          required:
                                            - kind
                                            - columnSlug
                                        - anyOf:
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: isNull
                                              required:
                                                - operator
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: isNotNull
                                              required:
                                                - operator
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: matchConditions
                                                conjonction:
                                                  type: string
                                                  enum:
                                                    - or
                                                    - and
                                                propertyConditions:
                                                  type: array
                                                  items:
                                                    allOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: objectProperty
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          propertyName:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - propertyName
                                                      - anyOf:
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - is
                                                                  - isNot
                                                                  - contains
                                                                  - greaterThan
                                                                  - lowerThan
                                                                  - doesNotContain
                                                                  - startsWith
                                                                  - endsWith
                                                              value: {}
                                                            required:
                                                              - operator
                                                              - value
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - isNull
                                                                  - isNotNull
                                                                  - isEmpty
                                                                  - isNotEmpty
                                                            required:
                                                              - operator
                                                          - type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                const: between
                                                              value: {}
                                                              otherValue: {}
                                                            required:
                                                              - operator
                                                              - value
                                                              - otherValue
                                              required:
                                                - operator
                                                - conjonction
                                                - propertyConditions
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: any
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                        operator:
                                          type: string
                                          enum:
                                            - isNull
                                            - isNotNull
                                      required:
                                        - kind
                                        - columnSlug
                                        - operator
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: vector
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                        operator:
                                          type: string
                                          enum:
                                            - isNull
                                            - isNotNull
                                      required:
                                        - kind
                                        - columnSlug
                                        - operator
                                    - allOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              const: date
                                            relatedModelUuid:
                                              type: string
                                            columnSlug:
                                              type: string
                                          required:
                                            - kind
                                            - columnSlug
                                        - anyOf:
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - is
                                                    - isNot
                                                    - greaterThan
                                                    - lowerThan
                                                value: {}
                                              required:
                                                - operator
                                                - value
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: between
                                                firstValue: {}
                                                lastValue: {}
                                              required:
                                                - operator
                                                - firstValue
                                                - lastValue
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isNull
                                                    - isNotNull
                                              required:
                                                - operator
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: boolean
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                        operator:
                                          type: string
                                          enum:
                                            - isTrue
                                            - isFalse
                                            - isNull
                                            - isNotNull
                                      required:
                                        - kind
                                        - columnSlug
                                        - operator
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: occurrence
                                        relatedModelUuid:
                                          type: string
                                        frequency:
                                          anyOf:
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: not
                                              required:
                                                - operator
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - moreThan
                                                    - lessThan
                                                    - exactly
                                                value: {}
                                              required:
                                                - operator
                                                - value
                                        period:
                                          type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - lessThan
                                                - moreThan
                                                - exactly
                                            value:
                                              type: number
                                            unit:
                                              type: string
                                              const: day
                                          required:
                                            - operator
                                            - value
                                            - unit
                                        conjonction:
                                          type: string
                                          enum:
                                            - or
                                            - and
                                        conditions:
                                          type: array
                                          items:
                                            anyOf:
                                              - allOf:
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: string
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                  - anyOf:
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - is
                                                              - isNot
                                                              - contains
                                                              - doesNotContain
                                                              - startsWith
                                                              - endsWith
                                                          values: {}
                                                        required:
                                                          - operator
                                                          - values
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                              - isEmpty
                                                              - isNotEmpty
                                                        required:
                                                          - operator
                                              - allOf:
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: number
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                  - anyOf:
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - is
                                                              - isNot
                                                              - greaterThan
                                                              - lowerThan
                                                          value: {}
                                                        required:
                                                          - operator
                                                          - value
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: between
                                                          firstValue: {}
                                                          lastValue: {}
                                                        required:
                                                          - operator
                                                          - firstValue
                                                          - lastValue
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - operator
                                              - allOf:
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: object
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                  - anyOf:
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: isNull
                                                        required:
                                                          - operator
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: isNotNull
                                                        required:
                                                          - operator
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: matchConditions
                                                          conjonction:
                                                            type: string
                                                            enum:
                                                              - or
                                                              - and
                                                          propertyConditions:
                                                            type: array
                                                            items:
                                                              allOf:
                                                                - type: object
                                                                  properties:
                                                                    kind:
                                                                      type: {}
                                                                      const: {}
                                                                    relatedModelUuid:
                                                                      type: {}
                                                                    columnSlug:
                                                                      type: {}
                                                                    propertyName:
                                                                      type: {}
                                                                  required:
                                                                    - kind
                                                                    - columnSlug
                                                                    - propertyName
                                                                - anyOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                        required:
                                                          - operator
                                                          - conjonction
                                                          - propertyConditions
                                              - allOf:
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: array
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                  - anyOf:
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: isNull
                                                        required:
                                                          - operator
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: isNotNull
                                                        required:
                                                          - operator
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: matchConditions
                                                          conjonction:
                                                            type: string
                                                            enum:
                                                              - or
                                                              - and
                                                          propertyConditions:
                                                            type: array
                                                            items:
                                                              allOf:
                                                                - type: object
                                                                  properties:
                                                                    kind:
                                                                      type: {}
                                                                      const: {}
                                                                    relatedModelUuid:
                                                                      type: {}
                                                                    columnSlug:
                                                                      type: {}
                                                                    propertyName:
                                                                      type: {}
                                                                  required:
                                                                    - kind
                                                                    - columnSlug
                                                                    - propertyName
                                                                - anyOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                        required:
                                                          - operator
                                                          - conjonction
                                                          - propertyConditions
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: any
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                  operator:
                                                    type: string
                                                    enum:
                                                      - isNull
                                                      - isNotNull
                                                required:
                                                  - kind
                                                  - columnSlug
                                                  - operator
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: vector
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                  operator:
                                                    type: string
                                                    enum:
                                                      - isNull
                                                      - isNotNull
                                                required:
                                                  - kind
                                                  - columnSlug
                                                  - operator
                                              - allOf:
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: date
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                  - anyOf:
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - is
                                                              - isNot
                                                              - greaterThan
                                                              - lowerThan
                                                          value: {}
                                                        required:
                                                          - operator
                                                          - value
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: between
                                                          firstValue: {}
                                                          lastValue: {}
                                                        required:
                                                          - operator
                                                          - firstValue
                                                          - lastValue
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - operator
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: boolean
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                  operator:
                                                    type: string
                                                    enum:
                                                      - isTrue
                                                      - isFalse
                                                      - isNull
                                                      - isNotNull
                                                required:
                                                  - kind
                                                  - columnSlug
                                                  - operator
                                      required:
                                        - kind
                                        - relatedModelUuid
                                        - frequency
                                        - period
                                        - conjonction
                                        - conditions
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: enrollment
                                        workflowUuid:
                                          type: string
                                        activityKind:
                                          type: string
                                          enum:
                                            - workflowEntered
                                            - workflowNodeExecuted
                                            - workflowLeft
                                        nodeSlug:
                                          type: string
                                        frequency:
                                          anyOf:
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  const: not
                                              required:
                                                - operator
                                            - type: object
                                              properties:
                                                operator:
                                                  type: string
                                                  enum:
                                                    - moreThan
                                                    - lessThan
                                                    - exactly
                                                value: {}
                                              required:
                                                - operator
                                                - value
                                        period:
                                          type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - lessThan
                                                - moreThan
                                                - exactly
                                            value:
                                              type: number
                                            unit:
                                              type: string
                                              const: day
                                          required:
                                            - operator
                                            - value
                                            - unit
                                      required:
                                        - kind
                                        - workflowUuid
                                        - activityKind
                                        - frequency
                                        - period
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: segment
                                        segmentUuid:
                                          type: string
                                        operator:
                                          type: string
                                          enum:
                                            - in
                                            - notIn
                                      required:
                                        - kind
                                        - segmentUuid
                                        - operator
                            required:
                              - conjonction
                              - conditions
                      required:
                        - conjonction
                        - groups
                    - type: 'null'
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  capacity:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      name:
                        type: string
                      color:
                        type: string
                        enum:
                          - orange
                          - red
                          - purple
                          - green
                          - yellow
                          - grey
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                      memberCapacity:
                        anyOf:
                          - type: number
                          - type: 'null'
                      allocationExpirationPolicy:
                        anyOf:
                          - anyOf:
                              - type: object
                                properties:
                                  interval:
                                    type: string
                                    const: hourly
                                  minute:
                                    type: number
                                required:
                                  - interval
                                additionalProperties: false
                              - type: object
                                properties:
                                  interval:
                                    type: string
                                    const: daily
                                  time:
                                    type: string
                                required:
                                  - interval
                                additionalProperties: false
                              - type: object
                                properties:
                                  interval:
                                    type: string
                                    const: weekly
                                  weekDay:
                                    type: number
                                  time:
                                    type: string
                                required:
                                  - interval
                                additionalProperties: false
                              - type: object
                                properties:
                                  interval:
                                    type: string
                                    const: monthly
                                  day:
                                    type: number
                                  time:
                                    type: string
                                required:
                                  - interval
                                additionalProperties: false
                              - type: object
                                properties:
                                  interval:
                                    type: string
                                    const: quarterly
                                  month:
                                    type: number
                                  day:
                                    type: number
                                  time:
                                    type: string
                                required:
                                  - interval
                                additionalProperties: false
                              - type: object
                                properties:
                                  interval:
                                    type: string
                                    const: yearly
                                  month:
                                    type: number
                                  day:
                                    type: number
                                  time:
                                    type: string
                                required:
                                  - interval
                                additionalProperties: false
                          - type: 'null'
                      modelUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      idColumnSlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      timeColumnSlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      filter:
                        anyOf:
                          - type: object
                            properties:
                              conjonction:
                                type: string
                                enum:
                                  - or
                                  - and
                              groups:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    conjonction:
                                      type: string
                                      enum:
                                        - or
                                        - and
                                    conditions:
                                      type: array
                                      items:
                                        anyOf:
                                          - type: object
                                            properties:
                                              kind:
                                                type: string
                                                const: sql
                                              name:
                                                type: string
                                              clause:
                                                type: string
                                            required:
                                              - kind
                                              - name
                                              - clause
                                            additionalProperties: false
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: string
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                                additionalProperties: false
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - is
                                                          - isNot
                                                          - contains
                                                          - doesNotContain
                                                          - startsWith
                                                          - endsWith
                                                      values:
                                                        anyOf:
                                                          - type: string
                                                          - type: array
                                                            items:
                                                              type: string
                                                    required:
                                                      - operator
                                                      - values
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isNull
                                                          - isNotNull
                                                          - isEmpty
                                                          - isNotEmpty
                                                    required:
                                                      - operator
                                                    additionalProperties: false
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: number
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                                additionalProperties: false
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - is
                                                          - isNot
                                                          - greaterThan
                                                          - lowerThan
                                                      value:
                                                        type: number
                                                    required:
                                                      - operator
                                                      - value
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: between
                                                      firstValue:
                                                        type: number
                                                      lastValue:
                                                        type: number
                                                    required:
                                                      - operator
                                                      - firstValue
                                                      - lastValue
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isNull
                                                          - isNotNull
                                                    required:
                                                      - operator
                                                    additionalProperties: false
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: objectProperty
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                  propertyName:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                                  - propertyName
                                                additionalProperties: false
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - is
                                                          - isNot
                                                          - contains
                                                          - greaterThan
                                                          - lowerThan
                                                          - doesNotContain
                                                          - startsWith
                                                          - endsWith
                                                      value:
                                                        type: string
                                                    required:
                                                      - operator
                                                      - value
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isNull
                                                          - isNotNull
                                                          - isEmpty
                                                          - isNotEmpty
                                                    required:
                                                      - operator
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: between
                                                      value:
                                                        type: string
                                                      otherValue:
                                                        type: string
                                                    required:
                                                      - operator
                                                      - value
                                                      - otherValue
                                                    additionalProperties: false
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: object
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                                additionalProperties: false
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: isNull
                                                    required:
                                                      - operator
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: isNotNull
                                                    required:
                                                      - operator
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: matchConditions
                                                      conjonction:
                                                        type: string
                                                        enum:
                                                          - or
                                                          - and
                                                      propertyConditions:
                                                        type: array
                                                        items:
                                                          allOf:
                                                            - type: object
                                                              properties:
                                                                kind:
                                                                  type: string
                                                                  const: objectProperty
                                                                relatedModelUuid:
                                                                  type: string
                                                                columnSlug:
                                                                  type: string
                                                                propertyName:
                                                                  type: string
                                                              required:
                                                                - kind
                                                                - columnSlug
                                                                - propertyName
                                                              additionalProperties: false
                                                            - anyOf:
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: string
                                                                      enum:
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                    value:
                                                                      type: string
                                                                  required:
                                                                    - operator
                                                                    - value
                                                                  additionalProperties: false
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: string
                                                                      enum:
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                  required:
                                                                    - operator
                                                                  additionalProperties: false
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: string
                                                                      const: between
                                                                    value:
                                                                      type: string
                                                                    otherValue:
                                                                      type: string
                                                                  required:
                                                                    - operator
                                                                    - value
                                                                    - otherValue
                                                                  additionalProperties: false
                                                    required:
                                                      - operator
                                                      - conjonction
                                                      - propertyConditions
                                                    additionalProperties: false
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: array
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                                additionalProperties: false
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: isNull
                                                    required:
                                                      - operator
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: isNotNull
                                                    required:
                                                      - operator
                                                    additionalProperties: false
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: matchConditions
                                                      conjonction:
                                                        type: string
                                                        enum:
                                                          - or
                                                          - and
                                                      propertyConditions:
                                                        type: array
                                                        items:
                                                          allOf:
                                                            - type: object
                                                              properties:
                                                                kind:
                                                                  type: string
                                                                  const: objectProperty
                                                                relatedModelUuid:
                                                                  type: string
                                                                columnSlug:
                                                                  type: string
                                                                propertyName:
                                                                  type: string
                                                              required:
                                                                - kind
                                                                - columnSlug
                                                                - propertyName
                                                              additionalProperties: false
                                                            - anyOf:
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: string
                                                                      enum:
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                    value:
                                                                      type: string
                                                                  required:
                                                                    - operator
                                                                    - value
                                                                  additionalProperties: false
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: string
                                                                      enum:
                                                                        - {}
                                                                        - {}
                                                                        - {}
                                                                        - {}
[...]
